## org.eclipse.datatools.sqltools.sqleditor.internal.utils
Class EditorUtil

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.utils.EditorUtil

    public class EditorUtil

extends java.lang.Object

Author:
  Hui Cao

Constructor Summary
`EditorUtil()`

Method Summary
`static boolean` `closeAllEditors(java.lang.String profileName)` Tries to close all editors associated with the connection profile.
`static boolean` `okToCloseEditors(java.lang.String profileName)` As long as there're dirty editors, don't close
`static void` `renameEditorsProfileName(java.lang.String oldName, java.lang.String newName)`
`static void` `setEditorsProfileStatus(java.lang.String profileName, int status)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditorUtil

    public EditorUtil()

Method Detail

### setEditorsProfileStatus

    public static void setEditorsProfileStatus(java.lang.String profileName,
                                               int status)

### okToCloseEditors

    public static boolean okToCloseEditors(java.lang.String profileName)

  As long as there're dirty editors, don't close

  Parameters:
    `profileName` -
  Returns:

### closeAllEditors

    public static boolean closeAllEditors(java.lang.String profileName)

  Tries to close all editors associated with the connection profile. Always returns true.

  Parameters:
    `profileName` -
  Returns:

### renameEditorsProfileName

    public static void renameEditorsProfileName(java.lang.String oldName,
                                                java.lang.String newName)